---
title: "List user's tasks"
slug: "list-users-tasks-v2tasks-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List user's tasks (/v2/tasks)

Post/v2/tasks

Retrieves a list of Engage tasks assigned to a specific user, supporting filters for task type, action, and status. Results include detailed metadata for each task, such as ownership, creation and due dates, associated contacts, flows, accounts, and opportunities.

Required authorizaton scope: 'api:tasks:read'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='881f3978-3424-4a71-9f08-d5e351b4aba1'>application/json</option>
</select>Expand Allobject  

Get user's tasks

userIdstring   Deprecated 

The id of the Gong user who owns the task

Example234599484848423
workspaceIdstring   Deprecated 

(Optional) The id of the workspace the tasks are in

Example623457276584334
filterobject (ReminderFilter)  Required

Reminder filter criteria

userIdstring    Required

The id of the Gong user who owns the task

Example234599484848423
workspaceIdstring    

(Optional) The id of the workspace the tasks are in

Example623457276584334
types Array of string   Required

Defines whether to include tasks that were created as part of a flow, or were created as a one-off task

Example[
  "MANUAL"
]string    Valid values[
  "FLOW",
  "MANUAL"
]
taskAction Array of string   Required

Array of actions included in the task (valid options: CALL)

Example[
  "CALL"
]string    Valid values[
  "CALL"
]
status Array of string   Required

Only return tasks with this status (valid options: OPEN)

Example[
  "OPEN"
]string    Valid values[
  "OPEN",
  "DONE",
  "DISMISSED"
]

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='917ec2c0-f131-45e3-b71b-ba1895ebac07'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
tasks Array of object (ReminderDataDto)   object  idinteger  (int64)    

The id of the task

Example1234361284629351
userIdinteger  (int64)    

The id of the Gong user who owns the task

Example234599484848423
createdstring  (date-time)    

Date and time the task was created. In the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
updatedstring  (date-time)    

Date and time the task was last updated. In the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
statusstring    

The task status

Valid values[
  "OPEN",
  "DONE",
  "DISMISSED"
]Example["OPEN"]
typestring    

Describes whether the task was created as part of a flow, or is a one-off task.

Valid values[
  "FLOW",
  "MANUAL"
]Example["MANUAL"]
actions Array of string   

Action included in the task

Example[
  "CALL"
]string    

Action included in the task

Valid values[
  "CALL"
]Example["CALL"]
accountobject (AccountDto)  

(Optional) associated crm account to task

crmIdstring    
namestring    
crmUrlstring    
crmEntityTypestring   Deprecated 

This value is always ACCOUNT

Valid values[
  "CONTACT",
  "CONTACT_WITHOUT_ACCOUNT",
  "LEAD",
  "LEAD_FIELD_HISTORY",
  "ACCOUNT",
  "OPPORTUNITY",
  "OPPORTUNITY_HISTORY",
  "OPPORTUNITY_FIELD_HISTORY",
  "ACCOUNT_FIELD_HISTORY",
  "CONTACT_FIELD_HISTORY",
  "OPPORTUNITY_STAGE",
  "USER",
  "TASK",
  "EVENT",
  "STAGE",
  "OPPORTUNITY_CONTACT_ROLE",
  "RECORD_TYPE",
  "NO_TYPE",
  "CAMPAIGN"
]
fields Array of object (CrmFieldDto)  Deprecated 

Contains the same values as the fields of the object

object Deprecated 

Contains the same values as the fields of the object

namestring    
valuestring    

opportunityobject (OpportunityDto)  

(Optional) associated crm deal to task

crmIdstring    
namestring    
crmUrlstring    
statusstring    
stagestring    
amountstring    
probabilitystring    
closeDatestring    
crmEntityTypestring   Deprecated 

This value is always OPPORTUNITY

Valid values[
  "CONTACT",
  "CONTACT_WITHOUT_ACCOUNT",
  "LEAD",
  "LEAD_FIELD_HISTORY",
  "ACCOUNT",
  "OPPORTUNITY",
  "OPPORTUNITY_HISTORY",
  "OPPORTUNITY_FIELD_HISTORY",
  "ACCOUNT_FIELD_HISTORY",
  "CONTACT_FIELD_HISTORY",
  "OPPORTUNITY_STAGE",
  "USER",
  "TASK",
  "EVENT",
  "STAGE",
  "OPPORTUNITY_CONTACT_ROLE",
  "RECORD_TYPE",
  "NO_TYPE",
  "CAMPAIGN"
]
fields Array of object (CrmFieldDto)  Deprecated 

Contains the same values as the fields of the object

object Deprecated 

Contains the same values as the fields of the object

namestring    
valuestring    

dueDatestring  (date-time)    

Date and time the task is due to be completed in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
flowobject (FlowDto)  

(Optional) associated flow

idinteger  (int64)    

Flow id

Example1695493301223591000
namestring    

Flow name

ExamplePersonal Flow
stepobject (StepDto)  idinteger  (int64)    

Step id

Example1695493301223591000
namestring    

Step name

ExampleMake a call
stepNumberinteger  (int64)    

Step number

Example1

contactobject (ContactDto)  

(Optional) Array of additional contacts for the task

crmIdstring    

The contact's CRM id

Examplea5V1Q00A120DP4CVAW
typestring    

Sets whether the contact is a lead or contact in the CRM

Valid values[
  "CONTACT",
  "CONTACT_WITHOUT_ACCOUNT",
  "LEAD",
  "LEAD_FIELD_HISTORY",
  "ACCOUNT",
  "OPPORTUNITY",
  "OPPORTUNITY_HISTORY",
  "OPPORTUNITY_FIELD_HISTORY",
  "ACCOUNT_FIELD_HISTORY",
  "CONTACT_FIELD_HISTORY",
  "OPPORTUNITY_STAGE",
  "USER",
  "TASK",
  "EVENT",
  "STAGE",
  "OPPORTUNITY_CONTACT_ROLE",
  "RECORD_TYPE",
  "NO_TYPE",
  "CAMPAIGN"
]ExampleLEAD
dataobject (ContactCrmData)  firstNamestring    

The contact's first name

ExampleJon
lastNamestring    

The contact's last name

ExampleSnow
crmUrlstring    

A link to the contact's page in the CRM

companyNamestring    

The name of the company the contact works for

ExampleGONG
affiliationstring    

Contact affiliation

Valid values[
  "Us",
  "Them",
  "Unknown"
]ExampleUs
emails Array of object (ContactEmailDto)   object  emailstring    

Email addresses associated with the contact

Exampletest@test.com

titlestring    

The contact's title

ExampleEnterprise Account Executive
timezonestring    

(Optional) The timezone the contact lives in

ExampleUS/Pacific
phoneNumbers Array of object (PersonPhoneDto)   object  rawstring    
extensionstring    
countryCodeinteger  (int32)    
normalizedstring    
labelstring    
isVerifiedboolean    

citystring    

(Optional) The city the contact lives in

countrystring    

(Optional) The country the contact lives in

statestring    

(Optional) The state the contact lives in

ExampleCalifornia
zipcodestring    

(Optional) The contact's zipcode

optOutStatusstring   Deprecated 

(Optional) Whether the contact has opted out of being contacted

optOutChannels Array of string   

Contacts opted out channels

string    Valid values[
  "CALLS",
  "EMAILS"
]
linkedinProfilestring    

(Optional) A link to the contact's linkedIn profile

additionalContacts Array of object (ContactDto)   

(Optional) Array of additional contacts for the task

object  

(Optional) Array of additional contacts for the task

crmIdstring    

The contact's CRM id

Examplea5V1Q00A120DP4CVAW
typestring    

Sets whether the contact is a lead or contact in the CRM

Valid values[
  "CONTACT",
  "CONTACT_WITHOUT_ACCOUNT",
  "LEAD",
  "LEAD_FIELD_HISTORY",
  "ACCOUNT",
  "OPPORTUNITY",
  "OPPORTUNITY_HISTORY",
  "OPPORTUNITY_FIELD_HISTORY",
  "ACCOUNT_FIELD_HISTORY",
  "CONTACT_FIELD_HISTORY",
  "OPPORTUNITY_STAGE",
  "USER",
  "TASK",
  "EVENT",
  "STAGE",
  "OPPORTUNITY_CONTACT_ROLE",
  "RECORD_TYPE",
  "NO_TYPE",
  "CAMPAIGN"
]ExampleLEAD
dataobject (ContactCrmData)  firstNamestring    

The contact's first name

ExampleJon
lastNamestring    

The contact's last name

ExampleSnow
crmUrlstring    

A link to the contact's page in the CRM

companyNamestring    

The name of the company the contact works for

ExampleGONG
affiliationstring    

Contact affiliation

Valid values[
  "Us",
  "Them",
  "Unknown"
]ExampleUs
emails Array of object (ContactEmailDto)   object  emailstring    

Email addresses associated with the contact

Exampletest@test.com

titlestring    

The contact's title

ExampleEnterprise Account Executive
timezonestring    

(Optional) The timezone the contact lives in

ExampleUS/Pacific
phoneNumbers Array of object (PersonPhoneDto)   object  rawstring    
extensionstring    
countryCodeinteger  (int32)    
normalizedstring    
labelstring    
isVerifiedboolean    

citystring    

(Optional) The city the contact lives in

countrystring    

(Optional) The country the contact lives in

statestring    

(Optional) The state the contact lives in

ExampleCalifornia
zipcodestring    

(Optional) The contact's zipcode

optOutStatusstring   Deprecated 

(Optional) Whether the contact has opted out of being contacted

optOutChannels Array of string   

Contacts opted out channels

string    Valid values[
  "CALLS",
  "EMAILS"
]
linkedinProfilestring    

(Optional) A link to the contact's linkedIn profile

titlestring    

The task title, only included if the task is of type MANUAL

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='9f9e2744-5a6c-4235-af59-0578facdfa0c'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

403

Access denied

<select class='api-response-data' aria-label='Media type'><option value='2fa5d023-d769-4ee5-a969-82036677608a'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='4ab2f6af-26b0-47d7-800e-ba7c81995e7e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='9c7c2dad-e27f-435a-acab-cf7a6573aee8'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
